com.ihr.xbrl.om.formula

## Class TraceVariablesBind.TraceVariable

- java.lang.Object
- - com.ihr.xbrl.om.formula.TraceVariablesBind.TraceVariable

- Enclosing class:
    TraceVariablesBind

      public static class TraceVariablesBind.TraceVariable
      extends java.lang.Object

  The Class TraceVariable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceVariablesBind.TraceVariable(javax.xml.namespace.QName variableName)` Instantiates a new trace variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.s9api.XdmValue` | `getEvaluatedValue()` Gets the evaluated value.
    `javax.xml.namespace.QName` | `getVariableName()` Gets the variable name.
    `boolean` | `isRequired()` Checks if is required.
    `void` | `setEvaluatedValue(net.sf.saxon.s9api.XdmValue lastVal)` Sets the evaluated value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceVariablesBind.TraceVariable

          public TraceVariablesBind.TraceVariable(javax.xml.namespace.QName variableName)

      Instantiates a new trace variable.
      Parameters:
        `variableName` - the variable name

  - ### Method Detail

    - #### setEvaluatedValue

          public void setEvaluatedValue(net.sf.saxon.s9api.XdmValue lastVal)

      Sets the evaluated value.
      Parameters:
        `lastVal` - the new evaluated value

    - #### getVariableName

          public javax.xml.namespace.QName getVariableName()

      Gets the variable name.
      Returns:
        the variableName

    - #### getEvaluatedValue

          public net.sf.saxon.s9api.XdmValue getEvaluatedValue()

      Gets the evaluated value.
      Returns:
        the evaluatedValue

    - #### isRequired

          public boolean isRequired()

      Checks if is required.
      Returns:
        the required